Subject: Re: More precise tag following

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 29 Jan 2007 01:18:07 -0500

Junio C Hamano <[email-masked]> wrote:
> Yes and no -- it might be interesting to start from a blank
> canvas, and insert the lines as they are received at appropriate
> places (recorded as ent->lno), although in general I agree the
> GUI would have the way and the need to grab the blob contents
> without us giving it in the --incremental output.

I just implemented the blame --incremental thing in git-gui.
I'm grabbing the file data ahead of time with git-cat-file, throwing
up the UI, then streaming in the incremental blame data as it comes.
Its *VERY* fast.  Nice job to both of you (Linus and Junio).

If you are curious its been pushed to repo.or.cz:

  git://repo.or.cz/git-gui.git

  Repository->Browse Current Branch
  Double click on the file you want to see.

I'm going to work up screenshots a bit later.

-- 
Shawn.